## org.apache.lucene.index
Class MergeScheduler

    java.lang.Object
      org.apache.lucene.index.MergeScheduler

Direct Known Subclasses:
  ConcurrentMergeScheduler, SerialMergeScheduler

    public abstract class MergeScheduler

extends Object

Expert: `IndexWriter` uses an instance implementing this interface to execute the merges selected by a `MergePolicy`. The default MergeScheduler is `ConcurrentMergeScheduler`.

NOTE: This API is new and still experimental (subject to change suddenly in the next release)

Constructor Summary
`MergeScheduler()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeScheduler

    public MergeScheduler()

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.